[haiku-commits] haiku: hrev44882 - build/scripts

  • From: zooey@xxxxxxxxxxxxxxx
  • To: haiku-commits@xxxxxxxxxxxxx
  • Date: Fri, 23 Nov 2012 21:11:54 +0100 (CET)

hrev44882 adds 1 changeset to branch 'master'
old head: 4e156d9a789fe4d0ab203c6e563abf4d9ec16299
new head: 7c3985c617ba8bf201fd928cccd6f726c747558b
overview: http://cgit.haiku-os.org/haiku/log/?qt=range&q=7c3985c+%5E4e156d9

----------------------------------------------------------------------------

7c3985c: Fix build of gcc2 on BSD (with bsdmake)
  
  * apparently, -j1 doesn't work as intended with bsdmake, so we drop
    any multiple-job specification from MAKEFLAGS, instead

                                    [ Oliver Tappe <zooey@xxxxxxxxxxxxxxx> ]

----------------------------------------------------------------------------

Revision:    hrev44882
Commit:      7c3985c617ba8bf201fd928cccd6f726c747558b
URL:         http://cgit.haiku-os.org/haiku/commit/?id=7c3985c
Author:      Oliver Tappe <zooey@xxxxxxxxxxxxxxx>
Date:        Fri Nov 23 20:10:24 2012 UTC

----------------------------------------------------------------------------

1 file changed, 8 insertions(+), 2 deletions(-)
build/scripts/build_cross_tools | 10 ++++++++--

----------------------------------------------------------------------------

diff --git a/build/scripts/build_cross_tools b/build/scripts/build_cross_tools
index cc7c63d..e637c48 100755
--- a/build/scripts/build_cross_tools
+++ b/build/scripts/build_cross_tools
@@ -92,12 +92,18 @@ mkdir -p 
$installDir/lib/gcc-lib/i586-pc-haiku/$haikuRequiredLegacyGCCVersion
 # force the POSIX locale, as the build (makeinfo) might choke otherwise
 export LC_ALL=POSIX
 
+# drop an multiple job arguments from MAKEFLAGS
+if [ ! -z "$MAKEFLAGS" ]; then
+       export MAKEFLAGS=$(echo $MAKEFLAGS | sed -e 's/-j\s*[0-9][0-9]*//g')
+fi
+
+
 # build binutils
 cd $binutilsObjDir
 CFLAGS="-O2" CXXFLAGS="-O2" $buildToolsDir/binutils/configure \
        --prefix=$installDir --target=i586-pc-haiku --disable-nls \
        --enable-shared=yes --disable-werror || exit 1
-make -j1 $additionalMakeArgs || exit 1
+make $additionalMakeArgs || exit 1
 make $additionalMakeArgs install || exit 1
 
 PATH=$PATH:$installDir/bin
@@ -157,7 +163,7 @@ eval "sed $sedExpr Makefile.bak > Makefile" || exit 1
 rm Makefile.bak
 
 # make gcc
-make -j1 cross || {
+make cross || {
        echo "ERROR: Building gcc failed." >&2
        exit 1
 }


Other related posts:

  • » [haiku-commits] haiku: hrev44882 - build/scripts - zooey